Bug 473475 - Review Request: python-relatorio - A templating library able to output odt and pdf files
Review Request: python-relatorio - A templating library able to output odt an...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Orcan Ogetbil
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 473476
  Show dependency treegraph
 
Reported: 2008-11-28 13:43 EST by Dan Horák
Modified: 2008-12-10 02:36 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-10 02:36:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
oget.fedora: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2008-11-28 13:43:00 EST
Spec URL: http://fedora.danny.cz/tryton/python-relatorio.spec
SRPM URL: http://fedora.danny.cz/tryton/python-relatorio-0.4.1-1.fc11.src.rpm

Description:
A templating library which provides a way to easily output all kind of
different files (odt, ods, png, svg, ...). Adding support for more filetype
is easy: you just have to create a plugin for this.

relatorio also provides a report repository allowing you to link python
objects and report together, find reports by mimetypes/name/python objects.
Comment 1 Orcan Ogetbil 2008-12-08 00:48:07 EST
I made a full review on this package and it's in very good condition. I have just one question:

* Requires: python-setuptools seems unnecessary to me. Am I wrong?
Comment 2 Dan Horák 2008-12-08 04:48:26 EST
(In reply to comment #1)
> I made a full review on this package and it's in very good condition. I have
> just one question:
> 
> * Requires: python-setuptools seems unnecessary to me. Am I wrong?

It looks that, but module pkg_resources (part of setuptools) is imported in reporting.py. So unavailability of python-setuptools leads to an runtime error.
Comment 3 Orcan Ogetbil 2008-12-08 09:29:05 EST
I'm sorry I missed that during the review. All good.

---------------------------------------------------
This package (python-relatorio) is APPROVED by oget
---------------------------------------------------
Comment 4 Dan Horák 2008-12-08 09:48:29 EST
New Package CVS Request
=======================
Package Name: python-relatorio
Short Description: A templating library able to output odt and pdf files
Owners: sharkcz
Branches: F-9 F-10 EL-5
Comment 5 Kevin Fenzi 2008-12-09 22:23:30 EST
cvs done.
Comment 6 Dan Horák 2008-12-10 02:36:10 EST
Imported and built. Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.